package org.crosswire.common.swing.plaf;
import java.awt.Color;
import java.awt.Insets;
import javax.swing.BorderFactory;
import javax.swing.UIManager;
import javax.swing.border.Border;
import javax.swing.border.LineBorder;


public class OtherLFCustoms extends BaseLFCustoms
{
    
    public OtherLFCustoms() 
    {
        super();
    }
    
    /**
     * Install other platform specific UI defaults that we're not aware of
     */
    protected void initPlatformUIDefaults() 
    {
        Border tabbedPanePanelBorder = BorderFactory.createEtchedBorder();
        Border panelSelectBorder = BorderFactory.createEmptyBorder(5, 5, 5, 5);
        
        Object[] otherUIDefaults = new Object[]
        {
            "TabbedPanePanel.border", tabbedPanePanelBorder,
            "SelectPanel.border", panelSelectBorder
        };
        
        UIManager.getDefaults().putDefaults(otherUIDefaults);
    }
}
